# $Revision: 1.81 $, $Date: 2011/07/28 17:09:57 $
Summary:	POSIX.1e capability suite
Summary(pl.UTF-8):	Wsparcie dla standardu "capability" POSIX.1e
Summary(pt_BR.UTF-8):	Biblioteca para leitura e configuração de capabilities.
Name:		libcap
Version:	2.22
Release:	1
Epoch:		1
License:	GPL or BSD
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/libcap2/%{name}-%{version}.tar.bz2
# Source0-md5:	ce64058bdb3f086ddbfca8ce6c919845
Patch0:		%{name}-make.patch
Patch1:		%{name}-vserver.patch
URL:		http://sites.google.com/site/fullycapable/
BuildRequires:	attr-devel
BuildRequires:	pam-devel
BuildRequires:	perl-base
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

%description
The POSIX.1e capability library for Linux. This package contains the
getcap and setcap binaries and manual pages.

%description -l pl.UTF-8
Biblioteka, programy oraz strony manuala zawierające implementację
"capability" standardu POSIX.1e.

%description -l pt_BR.UTF-8
Biblioteca para leitura e configuração de capabilities.

%package libs
Summary:	libcap library
Summary(pl.UTF-8):	Biblioteka libcap
Group:		Libraries
Conflicts:	libcap < 1:2.16-2

%description libs
libcap library.

%description libs -l pl.UTF-8
Biblioteka libcap.

%package devel
Summary:	Header files and development documentation for libcap
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libcap
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para capabilities
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for libcap.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libcap.

%description devel -l pt_BR.UTF-8
Arquivos de desenvolvimento para capabilities.

%package static
Summary:	Static libcap library
Summary(pl.UTF-8):	Statyczna biblioteka libcap
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libcap library.

%description static -l pl.UTF-8
Statyczna biblioteka libcap.

%package -n pam-pam_cap
Summary:	Capability module for PAM
Summary(pl.UTF-8):	Moduł PAM capability
Group:		Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	pam

%description -n pam-pam_cap
PAM capability module enforces inheritable capability sets.

%description -n pam-pam_cap -l pl.UTF-8
Moduł PAM capability wymuszający dziedziczone zbiory uprawnień.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT_CFLAGS="-Iinclude %{rpmcflags} %{rpmcppflags}" \
	DEBUG= \
	OPT_LDFLAGS="%{rpmldflags}" \
	LDLIBS="-L../libcap -lcap"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	RAISE_SETFCAP=no \
	FAKEROOT=$RPM_BUILD_ROOT \
	lib=%{_lib}

install -d $RPM_BUILD_ROOT/%{_lib}/security
install -p pam_cap/pam_cap.so $RPM_BUILD_ROOT/%{_lib}/security
install -d $RPM_BUILD_ROOT/etc/security
cp -a pam_cap/capability.conf $RPM_BUILD_ROOT/etc/security

install -d $RPM_BUILD_ROOT%{_libdir}
cp -a libcap/libcap.a $RPM_BUILD_ROOT%{_libdir}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libcap.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libcap.so
%{__rm} $RPM_BUILD_ROOT/%{_lib}/libcap.so
%{__rm} $RPM_BUILD_ROOT/%{_lib}/libcap.a

chmod a+x $RPM_BUILD_ROOT/%{_lib}/*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG License README
%attr(755,root,root) %{_sbindir}/capsh
%attr(755,root,root) %{_sbindir}/getcap
%attr(755,root,root) %{_sbindir}/getpcaps
%attr(755,root,root) %{_sbindir}/setcap
%{_mandir}/man1/capsh.1*
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/setcap.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libcap.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libcap.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcap.so
%{_includedir}/sys/capability.h
%{_mandir}/man3/libcap*.3*
%{_mandir}/man3/cap_*
%{_mandir}/man3/capgetp.3*
%{_mandir}/man3/capsetp.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcap.a

%files -n pam-pam_cap
%defattr(644,root,root,755)
%doc pam_cap/License
%attr(755,root,root) /%{_lib}/security/pam_cap.so
%config(noreplace) %verify(not md5 mtime size) /etc/security/capability.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcap.spec,v $
Revision 1.81  2011/07/28 17:09:57  qboosh
- updated to 2.22
- updated make patch

Revision 1.80  2011/04/30 19:06:45  qboosh
- updated to 2.21

Revision 1.79  2011/01/20 21:38:38  arekm
- up to 2.20 (CAP_SYSLOG support; updated vserver cap value)

Revision 1.78  2010/01/15 15:38:28  qboosh
- updated to 2.19

Revision 1.77  2010/01/10 18:43:37  glen
- release 2

Revision 1.76  2010/01/10 18:36:05  glen
- executable shared lib for rpm autodeps

Revision 1.75  2009/11/30 01:24:58  sparky
- BR: perl-base

Revision 1.74  2009/09/06 13:33:29  arekm
- up to 2.17

Revision 1.73  2009/07/26 09:53:20  arekm
- release 6

Revision 1.72  2009/07/26 09:40:26  zbyniu
- rel 5

Revision 1.71  2009/05/18 11:38:02  arekm
- release 4

Revision 1.70  2009/05/15 23:02:21  zbyniu
- headers.patch added; rel 3

Revision 1.69  2009/01/28 02:20:53  zbyniu
- vserver.patch added for support CAP_CONTEXT

Revision 1.68  2009/01/14 20:41:31  qboosh
- no macro in Conflicts for old package
- fixed -libs descs (although lib*-libs looks not so good anyway)

Revision 1.67  2009/01/14 18:19:38  glen
- ldconfig on proper pkg

Revision 1.66  2009/01/14 18:19:21  glen
- split -libs to follow AC-branch changes by djurban

Revision 1.65  2008/12/07 13:39:20  arekm
- up to 2.16

Revision 1.64  2008/10/31 12:57:58  arekm
- new url

Revision 1.63  2008/10/31 12:46:03  arekm
- up to 2.14

Revision 1.62  2008/10/15 11:06:55  jajcus
- build with no previous libcap installed fixed

Revision 1.61  2008/07/27 09:51:10  arekm
- up to 2.11

Revision 1.60  2008-06-11 12:41:06  arekm
- up to 2.10

Revision 1.59  2008-05-22 19:55:02  hawk
- BR: attr-devel, pam-devel

Revision 1.58  2008-05-22 13:18:59  hawk
- updated to 2.09, removed pam-conf.patch (applied upstream)

Revision 1.57  2008-03-11 01:27:09  zbyniu
- up to 2.08

Revision 1.56  2008-02-11 21:28:15  qboosh
- updated to 2.06
- updated make patch, removed obsolete support-for-prctl-based-securebits patch

Revision 1.55  2008-01-26 21:11:18  qboosh
- updated to 2.05 (new soname; supports POSIX File Capabilities now... years passed)
- removed outdated 1.92-make,link patches
- added make,pam-conf patches and upstream support-for-prctl-based-securebits patch
- introduced -static and pam-pam_cap

Revision 1.54  2007-12-30 22:57:02  glen
- rel 6

Revision 1.53  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.52  2007/03/05 17:38:03  tommat
- enable multilib build

Revision 1.51  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.49  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.48  2005/12/25 16:02:19  qboosh
- moved libcap.so devel link to plain libdir
- remove capget/capset syscall manuals (newer versions exist in man-pages)
- release 5

Revision 1.47  2004/08/03 19:22:07  qboosh
- updated link patch to not duplicate libc functions and fix build on ia64
- release 4

Revision 1.46  2004/05/27 12:56:50  blues
- release 3 for AC

Revision 1.45  2004/03/12 12:02:49  pluto
- strict deps.

Revision 1.44  2004/01/02 17:40:03  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.43  2003/12/18 23:12:06  jajcus
- fixed to install into /%{_lib}

Revision 1.42  2003/10/24 17:43:32  qboosh
- updated URL, more docs

Revision 1.41  2003/10/23 22:57:46  arekm
- back to 1.10 version which is never than 1.92 btw (it seems that 1.92 was only as experiment)

Revision 1.40  2003/09/11 11:33:57  malekith
- release 6
- fixed link patch (fix problem with zsh [ -x ... ] printing numbers)

Revision 1.39  2003/08/25 08:54:40  mmazur
- rel5 for ac

Revision 1.38  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.36  2003/07/26 22:04:21  qboosh
- updated link patch to use -fPIC when compiling shared library
  (bleh, with hack for _syscall2 not supporting PIC on x86)

Revision 1.35  2003/07/23 00:45:03  undefine
- add pt_BR translation

Revision 1.34  2003/06/26 14:26:10  mmazur
- -fPIC only on alpha

Revision 1.33  2003/06/26 13:25:43  mmazur
- added -fPIC to CFLAGS as my alpha blew up
- we realy should keep in mind that forcing our options is not always the best
  idea. Yes - some authors know better.

Revision 1.32  2003/05/27 09:47:07  trojan
- added Source-md5

Revision 1.31  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/01/29 15:39:30  qboosh
- fixed optflags passing

Revision 1.29  2002/10/22 21:49:51  qboosh
- link patch (link *.so using gcc not ld to avoid binary compatibility problems)
- release 4

Revision 1.28  2002/08/18 15:01:35  blues
- release 3 - license fix

Revision 1.27  2002/06/28 19:20:52  blues
- new doc

Revision 1.26  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/07 02:32:04  kloczek
- typo.

Revision 1.24  2002/02/07 02:20:30  kloczek
- release 2: spec adapterized and added using more macros.

Revision 1.23  2002/02/02 20:20:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.22  2002/01/18 02:13:37  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/05/02 16:29:07  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.20  2000/06/09 07:23:20  kloczek
- added using %{__make} macro.

Revision 1.19  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.18  2000/05/19 08:17:20  mis
- typos

Revision 1.17  2000/04/25 13:13:34  baggins
- library 1.92 for kernel 2.3

Revision 1.16  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.14  2000/02/09 05:28:12  kloczek
- release 2,
- man pages level 2 moved to devel subpackage.

Revision 1.13  1999/11/19 09:44:20  kloczek
- updated to 1.10.

Revision 1.12  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).
